export default {
	match :function (str, keywords) {
	  str = String(str)
	  var ks = ''
	  if (Array.isArray(keywords)) {
	    ks = keywords.map(k => '\\d+' + k).join('|') + '|'
	  } else if (typeof keywords === 'string') {
	    ks = `\\d+${keywords}|`
	  }
	  var checker = new RegExp(`${ks}\\d+|\\D+`, 'g')
	  return str.match(checker).sort((a, b) => !isNaN(a * 1) && isNaN(b * 1) ? 1 : -1)
	},
	// 图片链接处理
	spliceImageLink: function(url) {
		if(url == null){
			return ""
		}
		if(url.substr(0,5).toLowerCase() == "http:" || url.substr(0,6).toLowerCase() == "https:"){
		    url = url;
		}else{
		    url = "https:" + url;
		}
		return url;
	},
	// 获取客服电话统一配置
	getCustomerPhoneNumber: function() {
		return '400-0460-789';
	}
}